Description

Hello,

Great work!

Was not aware of your project, referenced from [http:/trac.edgewall.org/ticket/31 Trac bug]

Some of the user of javascript make konqueror browser not working, | get a lot of errors.
Can you please use more standard javascript to allow more browsers to work?

Also, many people (including my-self) turn off javascript when browsing the internet, for firefox you can do this using noscript
extension. As far | can tell, redmine cannot be used with javascript disabled.

Thank you.

BTW: How do you create descriptive reference to site so that URL is not shown? Your Wiki help page is missing.

Associated revisions

Revision 1605 - 2008-06-29 21:50 - Jean-Philippe Lang

Makes issue update link work without javascript (#1337).

Revision 1607 - 2008-06-29 21:56 - Jean-Philippe Lang

Redirects back after clicking watch/unwatch links without javascript (#1337).

History

#1 - 2008-05-31 16:58 - Alon Bar-Lev

BTW: How do you create descriptive reference to site so that URL is not shown? Your Wiki help page is missing.
Found! :)

Trac bug

| expected it to be wiki syle...

#2 - 2008-06-02 19:37 - Jean-Philippe Lang

| expected it to be wiki syle...

This is the textile style.

#3 - 2008-06-29 13:28 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Wont fix

Prototype doesn't seem to compatible with Konqueror: http:/prototypejs.org/download
Please point to the exact problem as | am not a Konqueror user.

#4 - 2008-06-29 20:02 - Alon Bar-Lev

- Status changed from Closed to Reopened

For example, | cannot update this bug, pressing "update" causes:
line 327: TypeError: Value undefined

Also the issue search does not work you cannot add any filter (lots of errors).
I must switch to firefox in order to write this.

Can you please consider supporting scriptless clients? It will provide a solution for almost any browsers, and on Internet this is important almost all
trackers (bugzilla, trac and mantis) support scriptless mode.

It is important that all users/clients/customers may have access to bug tracking system if it is available online without restriction on their personal
configuration.

Thanks!

#5 - 2008-06-29 21:30 - Jean-Philippe Lang

I'm currently updating this ticket with Konqueror 3.5.9. Ticket filtering works as well.
Things that do not work:

e repository ajax browsing (but scriptless browsing works)
¢ context menu on the issue list (this menu is just a shortcut, same actions can be accessed from the issue details view)
I'm currently updating this ticket with Konqueror 3.5.9. Ticket filtering works as well.
Things that do not work:

* repository ajax browsing (but scriptless browsing work)

* context menu on the issue list (this menu is just a shortcut, same actions can be acces
issue detalls view)
#6 - 2008-06-29 21:31 - Jean-Philippe Lang
- File konqueror.png added

#7 - 2008-06-29 22:05 - Jean-Philippe Lang

Issue 'update' link now works with javascript disabled (r1605).
I'll see what | can do for filters.

#8 - 2008-06-29 22:32 - Alon Bar-Lev

| don't understand how it works for you.

| am also using 3.5.9 and never see the text editor. When | press update it jumps to the middle of the history and does not show the editor.
Strange... but | am guessing | am not the only one.

Thanks!

#9 - 2008-06-29 23:06 - Alon Bar-Lev

Just a thought... Maybe enable javascript debug messages:

Settings->Configure Konqueror->Java & JavaScript->JavaScript:Enable debugger, Report Errors
Then see if you getting some errors.

Thanks!
#10 - 2013-02-06 11:16 - Daniel Felix

- Due date set to 2013-02-13

Hi,

is this still a valid defect? Can you give some feedback? I'm not able to reproduce this. Since Redmine uses more jQuery, this could be fixed.
Please give some Feedback until next week. Otherwise i will close this issue.

Best regards,
Daniel

#11 - 2013-09-01 23:42 - Jan Niggemann (redmine.org team member)
- Status changed from Reopened to Closed

- Resolution changed from Wont fix to No feedback
